<?php

namespace STM\Plugin\ParserFotbalCZ;

use STM\Plugin\ParserFotbalCZ\Errors\ParserErrors;

/**
 * Test class for UrlValidator.
 * Generated by PHPUnit on 2013-07-11 at 16:56:06.
 */
class UrlValidatorTest extends \PHPUnit_Framework_TestCase
{

    /** @var UrlValidator */
    private $object;
    /** @var \STM\Plugin\ParserFotbalCZ\ParserErrors */
    private $errors;
    
    protected function setUp()
    {
        $this->errors = new ParserErrors();
        $this->object = new UrlValidator();
        $this->object->setErrorsHandler($this->errors);
    }

    public function testValidateUrl()
    {
        $this->object->validateUrl(
            'http://nv.fotbal.cz/domaci-souteze/kao/pardubicky/souteze.asp?soutez=530A2A&show=Los'
        );
        parent::assertTrue($this->errors->isValid());

        $invalidUrl = array(
            '',
            'dsahdisaoůphdsoa',
            'http://www.seznam.cz',
            'http://nv.fotbal.cz/domaci-souteze/kao/pardubicky/souteze.asp?soutez=530A2A',
            'http://nv.fotbal.cz/domaci-souteze/kao/pardubicky/souteze.asp?show=Los',
            'http://nv.fotbal.cz/domaci-souteze/'
        );
        foreach ($invalidUrl as $url) {
            $this->errors->cleanErrors();
            $this->object->validateUrl($url);
            parent::assertFalse($this->errors->isValid());
        }
    }
}
